#ifndef TRAYICON_H
#define TRAYICON_H

// Qt
#include <QIcon>
#include <QSystemTrayIcon>

class TrayIcon
{
public:
    explicit TrayIcon();
    ~TrayIcon();

    static void update();
    static TrayIcon &instance();
    static bool isAvailable();

private:
    void updateIcon();

    QSystemTrayIcon m_systemTrayIcon;
    QIcon m_iconIdle;
    QIcon m_iconBusy;
    QIcon m_iconMounted;
    static TrayIcon *m_instance;
};

#endif // TRAYICON_H
