#include "keystore.h"

#include <MUnixDesktopEnvironment>

#include "KeyStores/libsecretkeystore.h"
#include "KeyStores/qtkeychainkeystore.h"

KeyStore::KeyStore(QObject *parent) : QObject(parent)
{

}

KeyStore::~KeyStore()
{

}

KeyStore *KeyStore::newKeyStore()
{
    switch (MUnixDesktopEnvironment::detect()) {
    case MUnixDesktopEnvironment::DesktopEnvironment_Kde4:
    case MUnixDesktopEnvironment::DesktopEnvironment_Plasma5:
        return new QtKeychainKeyStore();

    default:
        return new LibSecretKeyStore();
    }

}
