#!/bin/bash

export QT_CONFIG=base
export VERSION=18.04
export SOURCE_ROOT=$(readlink -f "$(dirname "${0}")/..")
export PROJECT=$(basename "${SOURCE_ROOT}")
export LOG_ROOT="../Build/Dist/log"

cd "${SOURCE_ROOT}"

mkdir -p "../Build/Dist/"
echo -e "{\n    \"latest\" : ${VERSION}\n}" > "../Build/Dist/version.json"

mkdir -p "${LOG_ROOT}" 2>/dev/null
./Dist/Source/build.sh
#./Dist/Linux.x86/build.sh >"${LOG_ROOT}/Linux.x86" 2>>"${LOG_ROOT}/Linux.x86"
#./Dist/Linux.x86_64/build.sh >"${LOG_ROOT}/Linux.x86_64" 2>>"${LOG_ROOT}/Linux.x86_64"

